﻿using System;

namespace TechFreak.uapman
{
    /// <summary>
    /// Operating System related tasks
    /// </summary>
    internal static class OperatingSystem
    {
        /// <summary>
        /// Check Minimum Version requirement
        /// </summary>
        /// <returns>True/False</returns>
        internal static bool CheckMinVersion()
        {
            return Environment.OSVersion.Version.Major >= Settings.MinMajorVersion;
        }
    }
}
