﻿namespace TechFreak.uapman
{
    internal static class Settings
    {
        /// <summary>
        /// Logging Enabled/Disabled
        /// </summary>
        internal static bool ConsoleLogEnabled { get; set; }

        /// <summary>
        /// Set default picture if none is found in Active Directory
        /// </summary>
        internal static bool SetDefaultPicture { get; set; }

        /// <summary>
        /// Minimum Major OS Version needed
        /// </summary>
        internal static int MinMajorVersion
        {
            get { return _minMajorVersion; }
            set { _minMajorVersion = value; }
        }

        private static int _minMajorVersion = 6;
    }
}
