﻿using System.Runtime.InteropServices;

namespace TechFreak.uapman
{
    /// <summary>
    /// User Account Picture manîpulation
    /// </summary>
    internal static class UserAccountPicture
    {
        /// <summary>
        /// Set User Account Picture
        /// </summary>
        /// <param name="username">Username to set tile for (HOST\user or DOMAIN\user format)</param>
        /// <param name="whatever">just 0</param>
        /// <param name="picpath">Path to the user account picture (many formats supported)</param>
        /// <returns>HRESULT</returns>
        [DllImport("shell32.dll", EntryPoint = "#262", CallingConvention = CallingConvention.StdCall, CharSet = CharSet.Unicode)]
        internal static extern int SetUserTile(string username, int whatever, string picpath);
    }
}
